Bug 160821 - audio/libmp3splt: Building WITHOUT_ID3 fails
Summary: audio/libmp3splt: Building WITHOUT_ID3 fails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-19 09:20 UTC by Spil
Modified: 2015-03-06 09:32 UTC (History)
1 user (show)

See Also:


Attachments
libmp3splt-0.7.1.patch (2.10 KB, patch)
2012-04-12 09:34 UTC, Bernard Spil
no flags Details | Diff
mp3splt-2.4.1.patch (1.03 KB, patch)
2012-04-12 09:34 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Spil 2011-09-19 09:20:04 UTC
When building libmp3splt-0.7 without ID3 enabled, make fails with the following error

libtool: compile:  cc -DHAVE_CONFIG_H -I. -I.. -I../include/libmp3splt -I../src -I/usr/local/include -DNO_ID3TAG -I/usr/local/include -g -Wall -O2 -fno-strict-aliasing -pipe -march=pentium-m -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -MT libsplt_mp3_la-mp3.lo -MD -MP -MF .deps/libsplt_mp3_la-mp3.Tpo -c mp3.c  -fPIC -DPIC -o .libs/libsplt_mp3_la-mp3.o
In file included from mp3.c:34:
mp3.h:59: error: expected specifier-qualifier-list before 'id3_byte_t'
mp3.c: In function 'splt_pl_clear_original_tags':
mp3.c:3385: error: 'tag_bytes_and_size' has no member named 'tag_bytes'
mp3.c:3387: error: 'tag_bytes_and_size' has no member named 'tag_bytes'
mp3.c:3388: error: 'tag_bytes_and_size' has no member named 'tag_bytes'
mp3.c:3391: error: 'tag_bytes_and_size' has no member named 'tag_length'
*** Error code 1
1 error
*** Error code 1
1 error
*** Error code 2
1 error
*** Error code 1

Stop in /usr/ports/audio/libmp3splt.
*** Error code 1

Stop in /usr/ports/audio/libmp3splt.

Fix: 

make -DWITH_ID3
How-To-Repeat: cd /usr/ports/audio/libmp3splt
make clean ; make -DWITHOUT_ID3
Comment 1 Edwin Groothuis freebsd_committer 2011-09-19 09:20:12 UTC
Maintainer of audio/libmp3splt,

Please note that PR ports/160821 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/160821

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-09-19 09:20:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 citrin 2011-10-03 16:34:53 UTC
It's not obvious for me how to fix this bug.
Reported to upstream as:
https://sourceforge.net/tracker/?func=detail&aid=3417943&group_id=55130&atid=476061
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2011-12-25 18:10:46 UTC
State Changed
From-To: feedback->suspended

awaiting upstream fix
Comment 5 Martin Wilke freebsd_committer 2012-04-11 00:21:31 UTC
State Changed
From-To: suspended->closed

close, feedback timeout
Comment 6 Chris Rees freebsd_committer 2012-04-12 09:31:18 UTC
State Changed
From-To: closed->open

Submitter reports could be fixed in new version, patch to follow
Comment 7 Chris Rees freebsd_committer 2012-04-12 09:33:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 8 Bernard Spil freebsd_committer 2012-04-12 09:34:13 UTC
Corrected patches as created by maintainer of the ports to upgrade

mp3split 2.4 to 2.4.1
libmp3splt 0.7 to 0.7.1

Kind regars,

Spil.
Comment 9 dfilter service freebsd_committer 2012-04-18 09:24:22 UTC
crees       2012-04-18 08:24:07 UTC

  FreeBSD ports repository

  Modified files:
    audio/libmp3splt     Makefile distinfo 
    audio/libmp3splt/files patch-src-oformat_parser.c 
  Log:
  - Update to 0.7.1
  
  - Fix WITHOUT_ID3 build
  
  PR:             ports/160821
  Submitted by:   Spil <spil.oss@googlemail.com>
  Submitted by:   Anton Yuzhaninov <citrin@citrin.ru> (maintainer)
  
  Revision  Changes    Path
  1.18      +1 -2      ports/audio/libmp3splt/Makefile
  1.8       +2 -2      ports/audio/libmp3splt/distinfo
  1.2       +10 -10    ports/audio/libmp3splt/files/patch-src-oformat_parser.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter service freebsd_committer 2012-04-18 09:25:22 UTC
crees       2012-04-18 08:25:14 UTC

  FreeBSD ports repository

  Modified files:
    audio/mp3splt        Makefile distinfo 
  Log:
  Update to 2.4.1 (requires libmp3splt-0.7.1+ to build)
  
  PR:             ports/160821
  ubmitted by:    Spil <spil.oss@googlemail.com>
  Submitted by:   Anton Yuzhaninov <citrin@citrin.ru> (maintainer)
  
  Revision  Changes    Path
  1.33      +5 -5      ports/audio/mp3splt/Makefile
  1.17      +2 -2      ports/audio/mp3splt/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Chris Rees freebsd_committer 2012-04-18 09:25:38 UTC
State Changed
From-To: open->closed

Committed. Thanks!